<?
require_once '../../core/system.php';
echo only_reg();
$header = Поддержка;
require_once '../../core/head.php';

switch($_GET[mod]){

default:

echo"Вы можете задать интересующий вас вопрос в службу поддержки.
Многие вопросы можно решить, задав их игрокам в чате/форуме или найти ответ в разделе Помощь.<br>";
echo'<form  action="?mod=create" method="post"><br />Тема:<br />
	<select size="1" name="tema"><option value="1">Выберите направление вопроса</option>
<option value="2">Предложения</option>
<option value="3">Ошибки, баги</option>
<option value="4">Ошибки оплаты</option>
<option value="5">Нарушители, мошенничество</option>
<option value="6">Другое</option></select><br />
Отдел:</br>
<select size="1" name="admin"><option value="1">Выберите технический отдел</option>
<option value="2">Главный администратор игры</option>
<option value="3">(пусто)</option></select><br/>
Сообщение:<br /><textarea class = "text large" name="text"  rows="4" cols="35"></textarea><br /><span class="btn"><span class="end"><input class="label" type="submit" value="Задать вопрос" />Задать вопрос</form></span></span>';


break; 


case 'create':
if(empty($_POST[text])){echo"<img src='/images/icon/noclan.png'></img>Введите текст сообщения! </br><a href=\"?\">Назад</a>";break;}
if($_POST[tema]==1){echo"<img src='/images/icon/noclan.png'></img>Не выбрана тема! </br><a href=\"?\">Назад</a>";break;}
if($_POST[admin]==1){echo"<img src='/images/icon/noclan.png'></img>Не выбран отдел! </br><a href=\"?\">Назад</a>";break;}
if($_POST[admin]==2){$admin="1";}
if($_POST[admin]==3){$admin="1";}
if($_POST[tema]==2){$tema="Предложения";}
if($_POST[tema]==3){$tema="Ошибки, баги";}
if($_POST[tema]==4){$tema="Ошибки оплаты";}
if($_POST[tema]==5){$tema="Нарушители, мошенничество";}
if($_POST[tema]==6){$tema="Другое";}
$texts = htmlspecialchars(stripslashes(addslashes($_POST['text'])));
$time = time();
$text = "<br>*Тикет*<br>Тема: *$tema*<br>Сообщение: $texts";
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`, `read`) values('$user[id]', '$admin', '$text', '$time', '1')");
mysql_query("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]','$admin',  '$time')");
mysql_query("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$admin', '$user[id]', '$time')");
mysql_query("UPDATE `users_konts` SET `new_msg` = '1' WHERE `id_kont` = '$user[id]' AND `id_user` = '$admin'");
 
echo"<img src='pic/yes.png'></img> Тикет успешно отправлен, он будет рассмотрен в течение 5 часов! </br><a href=\"index.php?\">На главную</a>";

break;


break;
}
require_once '../../core/foot.php';
?>